package ssw.mj.test;

public class Configuration {
	/**
	 * Number of the current exercise (2 to 6). This enables the correct test
	 * cases for each exercise:<br>
	 * 2: Only Scanner<br>
	 * 3: Parser without semantic actions<br>
	 * 4: Symbol table and error recovery<br>
	 * 5: Code generation for expressions<br>
	 * 6: Full code generation
	 */
	public static final int CURRENT_EXERCISE = 2;

	/**
	 * set to true to print expected and actual values of all output (errors,
	 * tokens, symbol table, code)
	 */
	public static final boolean PRINT_ALL_OUTPUT = false;

	/**
	 * Set to true to run the slow tests for too many fields and too many global
	 * variables.
	 */
	public static final boolean RUN_SLOW_TESTS = false;

	/**
	 * Determines the timeout after which a test case should fail automatically.
	 * Default: 10000 (= 10 seconds). The default should work for all test cases
	 * (except slow tests which are not guarded by timeout), on most machines.<br>
	 * <em>Attention</em>: For most computers it is likely that there is an
	 * endless loop in the MicroJava compiler if a test fails for a timeout.
	 */
	public static final long DEFAULT_TIMEOUT = 10000;
}
